USE [COWS]
GO

/****** Object:  Table [dbo].[CPT_REDSGN]    Script Date: 02/24/2016 14:36:33 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CPT_REDSGN]') AND type in (N'U'))
DROP TABLE [dbo].[CPT_REDSGN]
GO

USE [COWS]
GO

/****** Object:  Table [dbo].[CPT_REDSGN]    Script Date: 02/24/2016 14:36:34 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[CPT_REDSGN](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[CPT_ID] [int] NOT NULL,
	[REDSGN_ID] [int] NULL,
	[CUST_SHRT_NME] [varchar](100) NOT NULL,
	[H1] [varchar](9) NOT NULL,
	[STUS_ID] [smallint] NOT NULL,
	[CREAT_USER_ID] [int] NOT NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
	[MODFD_USER_ID] [int] NULL,
	[MODFD_DT] [smalldatetime] NULL,
 CONSTRAINT [PK_CPT_REDSGN] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[CPT_REDSGN]  WITH NOCHECK ADD  CONSTRAINT [FK01_CPT_REDSGN] FOREIGN KEY([CREAT_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[CPT_REDSGN] CHECK CONSTRAINT [FK01_CPT_REDSGN]
GO

ALTER TABLE [dbo].[CPT_REDSGN]  WITH NOCHECK ADD  CONSTRAINT [FK02_CPT_REDSGN] FOREIGN KEY([CPT_ID])
REFERENCES [dbo].[CPT] ([CPT_ID])
GO

ALTER TABLE [dbo].[CPT_REDSGN] CHECK CONSTRAINT [FK02_CPT_REDSGN]
GO

ALTER TABLE [dbo].[CPT_REDSGN]  WITH NOCHECK ADD  CONSTRAINT [FK03_CPT_REDSGN] FOREIGN KEY([REDSGN_ID])
REFERENCES [dbo].[REDSGN] ([REDSGN_ID])
GO

ALTER TABLE [dbo].[CPT_REDSGN] CHECK CONSTRAINT [FK03_CPT_REDSGN]
GO

ALTER TABLE [dbo].[CPT_REDSGN]  WITH NOCHECK ADD  CONSTRAINT [FK04_CPT_REDSGN] FOREIGN KEY([STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO

ALTER TABLE [dbo].[CPT_REDSGN] CHECK CONSTRAINT [FK04_CPT_REDSGN]
GO

ALTER TABLE [dbo].[CPT_REDSGN] ADD  CONSTRAINT [DF_getdate_20160224_14_40]  DEFAULT (getdate()) FOR [CREAT_DT]
GO

SET ANSI_PADDING OFF
GO


